Package org.jcsp.plugNplay

# Class Squares

java.lang.Object
org.jcsp.plugNplay.Squares

All Implemented Interfaces:
  `CSProcess`

public class Squares extends Object implements CSProcess
Generates the `Integer` stream `1*1, 2*2, 3*3, etc` by a somewhat unusual route.

## Process Diagram

### External View

### Internal View

## Description

The Squares class is a process which generates a sequence of squares of Natural numbers that are output down the out Channel.

## Channel Protocols

Input Channels
Output Channels
out | java.lang.Integer | The output will always be of type Integer.

Author:
  P.H. Welch and P.D. Austin

## Constructor Summary

Constructors
Constructor
Description
`Squares(ChannelOutput out)`
Construct a new Squares process with the output Channel out.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The main body of this process.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Squares

public Squares(ChannelOutput out)
Construct a new Squares process with the output Channel out.

Parameters:
  `out` - the output channel

## Method Details

### run

public void run()
The main body of this process.

Specified by:
  `run` in interface `CSProcess`